From 7997d07818aaebf990bc79bcb27ee4a64d5e757d Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 30 2020 14:55:08 +0000
Subject: [PATCH 494/2232] Avoid second lib.rs in the same src directory


This was throwing off the Bazel build because it didn't know which one
to make the crate root.

---

diff --git a/BUCK b/BUCK
index acf3a4c..241d7b3 100644
--- a/BUCK
+++ b/BUCK
@@ -40,7 +40,7 @@ cxx_library(
 rust_library(
     name = "symbols",
     srcs = glob(["src/macros/**", "src/symbols/**"]),
-    crate_root = "src/symbols/lib.rs",
+    crate_root = "src/symbols/symbols.rs",
 )
 
 rust_library(
diff --git a/src/symbols/symbols.rs b/src/symbols/symbols.rs
new file mode 100644
index 0000000..2c052ec
--- /dev/null
+++ b/src/symbols/symbols.rs
@@ -0,0 +1,5 @@
+#[path = "../macros/mod.rs"]
+#[macro_use]
+mod macros;
+
+include!("mod.rs");

